Devuan bug report logs - #409
problem with xfce4 in ceres

version graph

Package: xfce4-session; Maintainer for xfce4-session is Mark Hindley <mark@hindley.org.uk>;

Reported by: Michael Knoop <mknoop@sbcglobal.net>

Date: Sun, 15 Mar 2020 21:03:02 UTC

Severity: normal

Tags: ceres

Fixed in version 4.14.1-1+devuan1

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#409; Package xfce4. (Sun, 15 Mar 2020 21:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael Knoop <mknoop@sbcglobal.net>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Sun, 15 Mar 2020 21:03:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Michael Knoop <mknoop@sbcglobal.net>
To: submit@bugs.devuan.org
Subject: problem with xfce4 in ceres
Date: Sun, 15 Mar 2020 15:48:15 -0500
[Message part 1 (text/plain, inline)]
Package: xfce4

Version: 4.14

In ceres the package xfce4 will not upgrade because it needs 
xfce4-session_4.14, but only xfce4-session_4.12.1-3+devuan1 is 
available.  This has been going on for a long time now.

I could not copy and paste from my virtual machine to here, so I have 
attached a screenshot with the exact message,


[Screenshot from 2020-03-15 15-10-53.png (image/png, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#409; Package xfce4. (Mon, 16 Mar 2020 11:33:01 GMT) (full text, mbox, link).


Message #8 received at 409@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 409@bugs.devuan.org
Cc: Michael Knoop <mknoop@sbcglobal.net>
Subject: Re: problem with xfce4 in ceres
Date: Mon, 16 Mar 2020 11:22:19 +0000
Control: tags -1 ceres

On Sun, 15 Mar 2020 15:48:15 -0500 Michael Knoop <mknoop@sbcglobal.net> wrote:
> Package: xfce4
> 
> Version: 4.14
> 
> In ceres the package xfce4 will not upgrade because it needs 
> xfce4-session_4.14, but only xfce4-session_4.12.1-3+devuan1 is 
> available.  This has been going on for a long time now.

Michael,

Thanks.

I am aware of this and it is on my list to update as soon as we have beowulf released.

Mark

Added tag(s) ceres. Request was from Mark Hindley <mark@hindley.org.uk> to 409-submit@bugs.devuan.org. (Mon, 16 Mar 2020 11:33:05 GMT) (full text, mbox, link).


Message sent on to Michael Knoop <mknoop@sbcglobal.net>:
bug#409. (Mon, 16 Mar 2020 11:48:01 GMT) (full text, mbox, link).


Message #13 received at 409-submitter@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 409-submitter@bugs.devuan.org
Subject: Re: problem with xfce4 in ceres
Date: Mon, 16 Mar 2020 11:29:05 +0000
Control: tags -1 ceres

On Sun, 15 Mar 2020 15:48:15 -0500 Michael Knoop <mknoop@sbcglobal.net> wrote:
> Package: xfce4
> 
> Version: 4.14
> 
> In ceres the package xfce4 will not upgrade because it needs 
> xfce4-session_4.14, but only xfce4-session_4.12.1-3+devuan1 is 
> available.  This has been going on for a long time now.

Michael,

Thanks.

I am aware of this and it is on my list to update as soon as we have beowulf released.

Mark

Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and filed, but not forwarded. (Mon, 16 Mar 2020 12:03:02 GMT) (full text, mbox, link).


Message #16 received at 409-quiet@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 409-quiet@bugs.devuan.org, Michael Knoop <mknoop@sbcglobal.net>
Subject: Re: [Devuan-bugs] bug#409: problem with xfce4 in ceres
Date: Mon, 16 Mar 2020 11:53:16 +0000
Control: reassign -1 xfce4-session

bug reassigned from package 'xfce4' to 'xfce4-session'. Request was from Mark Hindley <mark@hindley.org.uk> to 409-quiet@bugs.devuan.org. (Mon, 16 Mar 2020 12:03:04 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Mon, 16 Mar 2020 17:33:02 GMT) (full text, mbox, link).


Notification sent to Michael Knoop <mknoop@sbcglobal.net>:
bug acknowledged by developer. (Mon, 16 Mar 2020 17:33:04 GMT) (full text, mbox, link).


Message #23 received at 409-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 409-done@bugs.devuan.org
Subject: Re: [Devuan-bugs] bug#409: problem with xfce4 in ceres
Date: Mon, 16 Mar 2020 17:23:33 +0000
Version: 4.14.1-1+devuan1

Michael,

I have just built xfce4-session 4.14.1-1+devuan1 for ceres.

Closing.

Mark

Message sent on to Michael Knoop <mknoop@sbcglobal.net>:
bug#409. (Thu, 19 Mar 2020 11:33:01 GMT) (full text, mbox, link).


Message #26 received at 409-submitter@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 409-submitter@bugs.devuan.org
Subject: Re: 409 - xfce4-session in ceres
Date: Thu, 19 Mar 2020 11:13:45 +0000
[Message part 1 (text/plain, inline)]
On Thu, Mar 19, 2020 at 02:54:27AM -0500, Michael Knoop wrote:
> Sorry to bug you, but the action buttons on the xfce4 desktop panel has
> shutdown dimmed now.  It may be related to the policykit update recently.

Michael,

That is fine. Thanks.

It still works for me -- I specifically tested it before shipping the updates.

Can you tell me

 - Which display manager are you using? Slim? Lightdm?
 - Which session manager? Consolekit or libpam-elogind?
 - What is the output of `dpkg -l|grep polkit'

Thanks.

Mark

PS, I have had to send this through the BTS as my IP is blocked from your
SMTP system. See attached.
[Message part 2 (message/rfc822, inline)]
From: Mail Delivery System <Mailer-Daemon@hindley.org.uk>
To: mark@hindley.org.uk
Subject: Mail delivery failed: returning message to sender
Date: Thu, 19 Mar 2020 11:06:45 +0000
This message was created automatically by mail delivery software.

A message that you sent could not be delivered to one or more of its
recipients. This is a permanent error. The following address(es) failed:

  mknoop@sbcglobal.net
    SMTP error from remote mail server after MAIL FROM:<mark@hindley.org.uk>:
    host ff-ip4-mx-vip1.prodigy.net [144.160.159.21]:
    553 5.3.0 flpd587 DNSBL:RBL 521< 81.174.245.179 >_is_blocked.For assistance forward this error to abuse_rbl@abuse-att.net

------ This is a copy of the message, including all the headers. ------

Return-path: <mark@hindley.org.uk>
Received: from apollo.hindleynet ([192.168.1.3] helo=apollo)
	by mx.hindley.org.uk with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
	(Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1jEt0c-0000fD-Du
	for mknoop@sbcglobal.net; Thu, 19 Mar 2020 11:06:42 +0000
Received: from mark by apollo with local (Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1jEt0b-00005b-Kv
	for mknoop@sbcglobal.net; Thu, 19 Mar 2020 11:06:41 +0000
Date: Thu, 19 Mar 2020 11:06:41 +0000
From: Mark Hindley <mark@hindley.org.uk>
To: Michael Knoop <mknoop@sbcglobal.net>
Subject: Re: 409 - xfce4-session in ceres
Message-ID: <20200319110641.GT3667@hindley.org.uk>
References: <d8e62f3d-8c7a-9405-e3f9-e06c2a5ff7e4.ref@sbcglobal.net>
 <d8e62f3d-8c7a-9405-e3f9-e06c2a5ff7e4@sbcglobal.net>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <d8e62f3d-8c7a-9405-e3f9-e06c2a5ff7e4@sbcglobal.net>
User-Agent: Mutt/1.5.23 (2014-03-12)

On Thu, Mar 19, 2020 at 02:54:27AM -0500, Michael Knoop wrote:
> Sorry to bug you, but the action buttons on the xfce4 desktop panel has
> shutdown dimmed now.  It may be related to the policykit update recently.

Michael,

That is fine. Thanks.

It still works for me -- I specifically tested it before shipping the updates.

Can you tell me

 - Which display manager are you using? Slim? Lightdm?
 - Which session manager? Consolekit or libpam-elogind?
 - What is the output of `dpkg -l|grep polkit'

Thanks.

Mark

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Tue Jun 2 12:15:27 2020;